<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- param name = order / the order to fill -->
    <div class="row">
        <div class="col-lg-6 form-horizontal">
            <dl class="dl-horizontal">
                <s:decorate template="/layout/display/_data_list_item.xhtml"
                            rendered="#{order.placerOrderNumber != null}">
                    <ui:define name="label">
                        <s:div>
                            <h:outputText value="#{messages['gazelle.ordermanager.PlacerOrderNumber_2']}"
                                          rendered="#{not (order.simulatedActor.keyword.equals('ANALYZER') or order.simulatedActor.keyword.equals('ANALYZER_MGR'))}"/>
                            <h:outputText value="#{messages['gazelle.ordermanager.AWOSUniqueID']}"
                                          rendered="#{order.simulatedActor.keyword.equals('ANALYZER') or order.simulatedActor.keyword.equals('ANALYZER_MGR')}"/>
                        </s:div>
                    </ui:define>
                    <h:outputText value="#{order.placerOrderNumber}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_data_list_item.xhtml"
                            rendered="#{not order.simulatedActor.keyword.equals('ANALYZER_MGR') and order.fillerOrderNumber != null}">
                    <ui:define name="label">#{messages['gazelle.ordermanager.FillerOrderNumber_2']}</ui:define>
                    <h:outputText value="#{order.fillerOrderNumber}"/>
                </s:decorate>
            </dl>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml"
                        rendered="#{order.placerOrderNumber != null}">
                <ui:define name="label">#{messages['gazelle.ordermanager.PlacerGroupNumber']}</ui:define>
                <ui:param name="id" value="idEdit"/>
                <rich:inplaceInput id="idEdit" defaultLabel="click to edit placer group number"
                                   value="#{order.placerGroupNumber}" showControls="true" inputWidth="600">
                </rich:inplaceInput>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml" rendered="#{valueResultStatus}">
                <ui:param name="id" value="oStat"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.ResultStatus']}</ui:define>
                <h:selectOneMenu value="#{order.orderResultStatus}" id="oStat"
                                 styleClass="form-control gzl-select-text">
                    <f:selectItems value="#{valueSet.getListOfConcepts('orderResultStatus')}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml"
                        rendered="#{not (order.simulatedActor.keyword.equals('ANALYZER') or order.simulatedActor.keyword.equals('ANALYZER_MGR'))}">
                <ui:define name="label">#{messages['gazelle.ordermanager.Priority']}</ui:define>
                <ui:param name="id" value="oPrior"/>
                <h:selectOneMenu value="#{order.quantityTiming}" required="true"
                                 styleClass="form-control gzl-select-text"
                                 id="oPrior">
                    <f:selectItems value="#{valueSet.getListOfConcepts('quantityTiming')}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml"
                        rendered="#{order.simulatedActor.keyword.equals('ANALYZER') or order.simulatedActor.keyword.equals('ANALYZER_MGR')}">
                <ui:define name="label">#{messages['gazelle.ordermanager.Priority']}</ui:define>
                <ui:param name="id" value="oPrior2"/>
                <h:selectOneMenu value="#{order.quantityTiming}" required="true"
                                 styleClass="form-control gzl-select-text"
                                 id="oPrior2">
                    <f:selectItems value="#{valueSet.getListOfConcepts('quantityTiming4law')}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.TransactionDatetime']}</ui:define>
                <ui:param name="id" value="transactionCalendar"/>
                <a4j:outputPanel id="transactionCalendar" layout="block">
                    <rich:calendar value="#{order.transactionDate}" locale="#{localeSelector.localeString}"
                                   datePattern="dd/MM/yyyy HH:mm" showApplyButton="true" style="width:200px"
                                   required="true"/>
                </a4j:outputPanel>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.ExamOrderStartDate']}</ui:define>
                <ui:param name="id" value="startDateCalendar"/>
                <a4j:outputPanel id="startDateCalendar" layout="block">
                    <rich:calendar value="#{order.startDateTime}" locale="#{localeSelector.localeString}"
                                   datePattern="dd/MM/yyyy HH:mm" showApplyButton="true" style="width:200px"
                                   required="true"/>
                </a4j:outputPanel>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.EnteredBy']}</ui:define>
                <ui:param name="id" value="oEnter"/>
                <h:selectOneMenu value="#{order.enteredBy}" styleClass="form-control gzl-select-text"
                                 id="oEnter">
                    <f:selectItems value="#{valueSet.getListOfConcepts('doctor')}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="oEnterOrg"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.EnteringOrganization']}</ui:define>
                <h:selectOneMenu value="#{order.enteringOrganization}" required="true"
                                 styleClass="form-control gzl-select-text"
                                 id="oEnterOrg">
                    <f:selectItems value="#{valueSet.getListOfConcepts('enteringOrganization')}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="oProv"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.OrderingProvider']}</ui:define>
                <h:selectOneMenu value="#{order.orderingProvider}" required="true"
                                 styleClass="form-control gzl-select-text"
                                 id="oProv">
                    <f:selectItems value="#{valueSet.getListOfConcepts('doctor')}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="oTech"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.Technician']}</ui:define>
                <h:selectOneMenu value="#{order.technician}" styleClass="form-control gzl-select-text"
                                 id="oTech">
                    <f:selectItems value="#{valueSet.getListOfConcepts('doctor')}"/>
                </h:selectOneMenu>
            </s:decorate>
            <ui:insert name="leftColumn"/>
        </div>
        <div class="col-lg-6 form-horizontal">
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="oPhone"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.CallBackPhoneNumber']}</ui:define>
                <h:inputText value="#{order.callBackPhoneNumber}" styleClass="form-control"
                             id="oPhone" size="60"/>
            </s:decorate>
            <ui:insert name="selectUniversalServiceId"/>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="oReason"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.ReasonForStudy']}</ui:define>
                <h:inputText value="#{order.reasonForStudy}" styleClass="form-control"
                             id="oReason" size="60"/>
            </s:decorate>
            <ui:insert name="rightColumn"/>
        </div>
    </div>
</ui:composition>
